<?php

namespace App\Http\Controllers\Admin;

use App\Models\Role;
use App\Models\Permission;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;


class RoleController extends Controller
{
    public function index() {
    return Role::with('permissions')->get();
    }
    
    public function store(Request $request) {
        $request->validate([
            'name' => 'required|string',
            'permissions' => 'array'
        ]);
    
        $role = Role::create(['name' => $request->name]);
        $role->permissions()->sync($request->permissions);
        
        return response()->json(['message' => 'Role created successfully']);
    }
    
    public function update(Request $request, Role $role) {
        $role->update(['name' => $request->name]);
        $role->permissions()->sync($request->permissions);
    
        return response()->json(['message' => 'Role updated']);
    }
    
    public function permissions() {
        return Permission::all()->groupBy('group');
    }
}