<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HouseFundRedemption extends Model
{
    use HasFactory;

    protected $fillable = ['user_id', 'amount', 'status']; // ✅ Ensure 'status' is fillable

    protected $attributes = [
        'status' => 'pending', // ✅ Default status is 'pending'
    ];

    /**
     * Define relationship with User model.
     */
    public function user()
    {
        return $this->belongsTo(User::class);
    }

    /**
     * Define relationship with HouseFundWallet.
     */
    public function wallet()
    {
        return $this->belongsTo(HouseFundWallet::class, 'user_id', 'user_id'); // ✅ Ensure the user_id matches correctly
    }
}
