<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\Product;
use App\Models\ShareClick;
use App\Models\User;

class ShareLink extends Model
{
    // Fillable fields for mass assignment
    protected $fillable = [
        'user_id',
        'product_id',
        'code',
        'url',
        'last_clicked_at',
    ];

    // Cast timestamp properly
    protected $casts = [
        'last_clicked_at' => 'datetime',
    ];

    // Relationships
    public function clicks()
    {
        return $this->hasMany(ShareClick::class, 'share_link_id');
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }
    public function user()
    {
        return $this->belongsTo(\App\Models\User::class);
    }
}
