<?php

namespace App\Notifications;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Notifications\Messages\MailMessage;
use Illuminate\Notifications\Notification;

class OrderTrackingNotification extends Notification implements ShouldQueue
{
    use Queueable;

    protected $order;

    public function __construct($order)
    {
        $this->order = $order;
    }

    public function via($notifiable)
    {
        return ['mail'];
    }

    public function toMail($notifiable)
    {
        return (new MailMessage)
            ->subject('Your Order #' . $this->order->id . ' is Updated')
            ->greeting('Hello ' . $notifiable->name . ',')
            ->line('Your order status has been updated to: **' . ucfirst($this->order->status) . '**')
            ->line('Tracking Code: **' . $this->order->tracking_code . '**')
            ->action('Track Order', url('/track-order?tracking_code=' . $this->order->tracking_code))
            ->line('Thank you for shopping with us!');
    }
}
