<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up(): void {
        Schema::create('tree_commissions', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('user_id'); // The user receiving the commission
            $table->unsignedBigInteger('referrer_id'); // The user who made the purchase
            $table->integer('generation'); // 1 to 10
            $table->decimal('commission_percentage', 5, 2); // Percentage per generation
            $table->decimal('amount', 10, 2);
            $table->timestamps();

            $table->foreign('user_id')->references('id')->on('users')->onDelete('cascade');
            $table->foreign('referrer_id')->references('id')->on('users')->onDelete('cascade');
        });
    }

    public function down(): void {
        Schema::dropIfExists('tree_commissions');
    }
};
