<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
  public function up()
{
    if (!Schema::hasColumn('users', 'status')) { // ✅ Prevent duplicate column error
        Schema::table('users', function (Blueprint $table) {
            $table->tinyInteger('status')->default(1)->after('password');
        });
    }
}


public function down()
{
    if (Schema::hasColumn('users', 'status')) { // ✅ Avoid errors
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn('status');
        });
    }
}



};
