<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up() {
        Schema::table('plans', function (Blueprint $table) {
            if (!Schema::hasColumn('plans', 'infinite_pairs')) {
                $table->integer('infinite_pairs')->default(0)->after('max_pairs_per_day');
            }
        });
    }

    public function down() {
        Schema::table('plans', function (Blueprint $table) {
            if (Schema::hasColumn('plans', 'infinite_pairs')) {
                $table->dropColumn('infinite_pairs');
            }
        });
    }
};
