<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
   public function up()
{
    Schema::table('plans', function (Blueprint $table) {
        if (!Schema::hasColumn('plans', 'product_share_limit')) { 
            $table->integer('product_share_limit')->default(0);
        }
        if (!Schema::hasColumn('plans', 'product_share_commission')) { 
            $table->decimal('product_share_commission', 8, 2)->default(0);
        }
        if (!Schema::hasColumn('plans', 'plan_picture')) { 
            $table->string('plan_picture', 191)->nullable();
        }
    });
}


   public function down()
{
    Schema::table('plans', function (Blueprint $table) {
        if (Schema::hasColumn('plans', 'product_share_limit')) {
            $table->dropColumn('product_share_limit');
        }
        if (Schema::hasColumn('plans', 'product_share_commission')) {
            $table->dropColumn('product_share_commission');
        }
        if (Schema::hasColumn('plans', 'plan_picture')) {
            $table->dropColumn('plan_picture');
        }
    });
}

};
