<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    public function up()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->text('description')->nullable()->after('short_description');
            $table->integer('bv')->default(0)->after('price');
            $table->integer('inventory')->default(0)->after('bv');
            $table->string('image')->nullable()->after('inventory');
            $table->unsignedBigInteger('category_id')->after('image');

            // Optional: Add foreign key constraint
            $table->foreign('category_id')->references('id')->on('categories')->onDelete('cascade');
        });
    }

    public function down()
    {
        Schema::table('products', function (Blueprint $table) {
            $table->dropColumn(['description', 'bv', 'inventory', 'image', 'category_id']);
        });
    }
};
