<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends \Illuminate\Database\Migrations\Migration {
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            if (!Schema::hasColumn('users', 'bv')) {
                $table->decimal('bv', 10, 2)->nullable();
            }

            if (!Schema::hasColumn('users', 'ref_com')) {
                $table->decimal('ref_com', 10, 2)->nullable();
            }

            if (!Schema::hasColumn('users', 'max_pairs_per_day')) {
                $table->integer('max_pairs_per_day')->nullable();
            }

            if (!Schema::hasColumn('users', 'infinite_pairs')) {
                $table->boolean('infinite_pairs')->default(false);
            }

            if (!Schema::hasColumn('users', 'product_share_limit')) {
                $table->decimal('product_share_limit', 10, 2)->nullable();
            }

            if (!Schema::hasColumn('users', 'product_share_com')) {
                $table->decimal('product_share_com', 10, 2)->nullable();
            }
        });
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn([
                'bv',
                'ref_com',
                'max_pairs_per_day',
                'infinite_pairs',
                'product_share_limit',
                'product_share_com',
            ]);
        });
    }
};
