@extends('admin.layouts.app')

@section('content')
<div class="container">
    <h3>@lang('Affiliate Commissions')</h3>
    <table class="table">
        <thead>
            <tr>
                <th>@lang('Referrer')</th>
                <th>@lang('Earnings')</th>
                <th>@lang('Status')</th>
                <th>@lang('Actions')</th>
            </tr>
        </thead>
        <tbody>
            @foreach($commissions as $commission)
            <tr>
                <td>{{ $commission->user->name }}</td>
                <td>${{ number_format($commission->amount, 2) }}</td>
                <td>{{ ucfirst($commission->status) }}</td>
                <td>
                    @if($commission->status == 'pending')
                        <form action="{{ route('admin.commission.approve', $commission->id) }}" method="POST">
                            @csrf
                            <button class="btn btn-success btn-sm">@lang('Approve')</button>
                        </form>
                    @else
                        <span class="text-success">@lang('Paid')</span>
                    @endif
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
