@extends('admin.layouts.app')

@section('content')
<div class="container">
    <div class="row mb-4">
        <div class="col-md-8">
            <h3>Tree Commission Settings</h3>
        </div>
        <div class="col-md-4 text-right">
            <a href="{{ route('admin.tree.settings') }}" class="btn btn-primary">⚙️ Settings</a>
        </div>
    </div>

    <div class="table-responsive">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>User</th>
                    <th>Amount</th>
                    <th>Status</th>
                    <th>Date</th>
                </tr>
            </thead>
            <tbody>
                @forelse($commissions as $commission)
                    <tr>
                        <td>{{ $commission->id }}</td>
                        <td>{{ $commission->user->name ?? 'N/A' }}</td>
                        <td>${{ number_format($commission->amount, 2) }}</td>
                        <td>{{ $commission->status }}</td>
                        <td>{{ $commission->created_at->format('Y-m-d') }}</td>
                    </tr>
                @empty
                    <tr>
                        <td colspan="5" class="text-center">No commissions found.</td>
                    </tr>
                @endforelse
            </tbody>
        </table>
    </div>
</div>
@endsection
