@extends('admin.layouts.app')

@section('panel')
    <div class="row">
        <div class="col-lg-12">
            <div class="card">
                <div class="card-header bg-primary text-white">
                    <h5>@lang('Manage Binary Commission Settings')</h5>
                </div>
                <div class="card-body">
                    <form method="POST" action="{{ route('admin.binaryCommission.updateSettings') }}">
                        @csrf
                        <div class="table-responsive">
                            <table class="table table-bordered">
                                <thead>
                                    <tr>
                                        <th>@lang('Generation')</th>
                                        <th>@lang('Commission (%)')</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @foreach($commissionRates as $generation => $rate)
                                        <tr>
                                            <td>@lang('Generation') {{ $generation }}</td>
                                            <td>
                                                <input type="number" name="rates[{{ $generation }}]" class="form-control"
                                                    value="{{ $rate }}" step="0.01" required>
                                            </td>
                                        </tr>
                                    @endforeach
                                </tbody>
                            </table>
                        </div>
                        <button type="submit" class="btn btn-primary w-100">@lang('Update Settings')</button>
                    </form>
                </div>
            </div>
        </div>
    </div>
@endsection
