@extends('admin.layouts.app')

@section('panel')
<div class="row">
    <div class="col-md-12">
        <div class="card">
            <div class="card-header">
                <h5>@lang('Binary Commission Settings')</h5>
            </div>
            <div class="card-body">
                <form action="{{ route('admin.setting.binaryCommission.update') }}" method="POST">
                    @csrf
                    <div class="form-group">
                        <label>@lang('Minimum Purchase Required for Commission')</label>
                        <input type="number" name="minimum_purchase" class="form-control" value="{{ $settings['minimum_purchase'] }}" required>
                    </div>
                    
                    <div class="form-group">
                        <label>@lang('Generation-wise Commission Percentage')</label>
                        @foreach($settings['generation_rates'] as $generation => $rate)
                            <div class="input-group mb-2">
                                <span class="input-group-text">Gen {{ $generation }}</span>
                                <input type="number" class="form-control" name="generation_rates[{{ $generation }}]" value="{{ $rate }}">
                            </div>
                        @endforeach
                    </div>

                    <button type="submit" class="btn btn--primary">@lang('Update Settings')</button>
                </form>
            </div>
        </div>
    </div>
</div>
@endsection
