@extends('admin.layouts.app')

@section('panel')
<div class="card">
    <div class="card-header">
        <h4>@lang('Shipping Methods')</h4>
        <button class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#addShippingModal">@lang('Add Shipping')</button>
    </div>
    <div class="card-body">
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>@lang('Name')</th>
                    <th>@lang('Cost')</th>
                    <th>@lang('Status')</th>
                    <th>@lang('Actions')</th>
                </tr>
            </thead>
            <tbody>
                @foreach($shippingMethods as $method)
                    <tr>
                        <td>{{ $method->name }}</td>
                        <td>${{ number_format($method->cost, 2) }}</td>
                        <td>
                            <span class="badge bg-{{ $method->status ? 'success' : 'danger' }}">
                                {{ $method->status ? 'Active' : 'Inactive' }}
                            </span>
                        </td>
                        <td>
                            <button class="btn btn-warning btn-sm edit-btn"
                                    data-id="{{ $method->id }}"
                                    data-name="{{ $method->name }}"
                                    data-cost="{{ $method->cost }}"
                                    data-status="{{ $method->status }}"
                                    data-bs-toggle="modal" data-bs-target="#editShippingModal">
                                @lang('Edit')
                            </button>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

<!-- Add Shipping Modal -->
<div class="modal fade" id="addShippingModal" tabindex="-1">
    <div class="modal-dialog">
        <form method="POST" action="{{ route('admin.shipping.store') }}">
            @csrf
            <div class="modal-content">
                <div class="modal-header">
                    <h5>@lang('Add Shipping Method')</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal"></button>
                </div>
                <div class="modal-body">
                    <label>@lang('Shipping Name')</label>
                    <input type="text" class="form-control" name="name" required>
                    <label>@lang('Cost')</label>
                    <input type="number" step="0.01" class="form-control" name="cost" required>
                </div>
                <div class="modal-footer">
                    <button type="submit" class="btn btn-primary">@lang('Save')</button>
                    <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">@lang('Close')</button>
                </div>
            </div>
        </form>
    </div>
</div>
@endsection
