@extends('admin.layouts.app')
@section('content')

<div class="card">
    <div class="card-header">
        <h4>Manage Staff</h4>
        <a href="{{ route('admin.staff.create') }}" class="btn btn-primary float-right">Add Staff</a>
    </div>
    <div class="card-body">
        <table class="table table-striped">
            <thead>
                <tr>
                    <th>#</th>
                    <th>Name</th>
                    <th>Email</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($staffs as $key => $staffMember)  {{-- ✅ FIX: Use $staffs instead of $staff --}}
                    <tr>
                        <td>{{ $key + 1 }}</td>
                        <td>{{ $staffMember->name }}</td>
                        <td>{{ $staffMember->email }}</td>
                        <td>
                            <a href="{{ route('admin.staff.edit', $staffMember->id) }}" class="btn btn-warning btn-sm">Edit</a>
                            <form action="{{ route('admin.staff.destroy', $staffMember->id) }}" method="POST" class="d-inline">
                                @csrf
                                @method('DELETE')
                                <button type="submit" class="btn btn-danger btn-sm">Delete</button>
                            </form>
                        </td>
                    </tr>
                @endforeach
            </tbody>
        </table>
    </div>
</div>

@endsection
