@extends('user.layouts.app')

@section('content')
<div class="card">
    <div class="card-header">
        <h4>My House Fund Wallet</h4>
    </div>
    <div class="card-body">
        <p><strong>Balance:</strong> ${{ number_format($wallet->balance, 2) }}</p>
        <p><strong>Monthly Contribution:</strong> ${{ number_format($wallet->monthly_contribution, 2) }}</p>
        <p><strong>Redemption Threshold:</strong> ${{ number_format($wallet->redeem_threshold, 2) }}</p>
        
        @if($wallet->balance >= $wallet->redeem_threshold)
        <form method="POST" action="{{ route('user.house-fund-wallet.redeem') }}">
            @csrf
            <button type="submit" class="btn btn-success">Redeem Funds</button>
        </form>
        @else
        <p class="text-danger">You need at least ${{ number_format($wallet->redeem_threshold, 2) }} to redeem funds.</p>
        @endif
    </div>
</div>
@endsection
