@extends('templates.basic.layouts.frontend')

@section('content')
<div class="container">
    <h2>@lang('Your Orders')</h2>
    <table class="table">
        <thead>
            <tr>
                <th>@lang('Order ID')</th>
                <th>@lang('Total Price')</th>
                <th>@lang('Status')</th>
                <th>@lang('Tracking Number')</th>
            </tr>
        </thead>
        <tbody>
            @foreach($orders as $order)
                <tr>
                    <td>#{{ $order->id }}</td>
                    <td>${{ number_format($order->total_price, 2) }}</td>
                    <td>
                        <span class="badge bg-{{ $order->status === 'completed' ? 'success' : ($order->status === 'shipped' ? 'info' : 'warning') }}">
                            {{ ucfirst($order->status) }}
                        </span>
                    </td>
                    <td>
                        @if($order->tracking_number)
                            <b>{{ $order->tracking_number }}</b>
                        @else
                            <span class="text-muted">@lang('Not Available')</span>
                        @endif
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
