@extends('templates.basic.layouts.frontend')

@push('page-title') 
{{ $pageTitle }}
    Shopping Cart
@endpush

@section('content')

<div class="container py-5">
    <p><h5>🛒 Your Shopping Cart</h5></p>

    @if(session('cart') && count(session('cart')) > 0)
        <table class="table table-bordered">
            <thead>
                <tr>
                    <th>Image</th>
                    <th>Product Name</th>
                    <th>Price</th>
                    <th>Quantity</th>
                    <th>Subtotal</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @foreach(session('cart') as $id => $item)
                <tr>
                    <td><img src="{{ asset('storage/products/' . $item['image']) }}" width="50" alt="{{ $item['name'] }}"></td>
                    <td>{{ $item['name'] }}</td>
                    <td>${{ number_format($item['price'], 2) }}</td>
                    <td>{{ $item['quantity'] }}</td>
                    <td>${{ number_format($item['price'] * $item['quantity'], 2) }}</td>
                    <td>
                        <a href="{{ route('removeFromCart', $id) }}" class="btn btn-danger btn-sm">
                            <i class="fas fa-trash"></i> Remove
                        </a>
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>

        <div class="text-end">
            <a href="{{ route('clearCart') }}" class="btn btn-warning">Clear Cart</a>
            <a href="{{ route('checkout') }}" class="btn btn-success">Checkout</a>
        </div>
    @else
        <p class="text-center text-muted">🛒 No items in cart</p>
    @endif
</div>

@endsection
