@extends('templates.basic.layouts.frontend')

@push('page-title')
    Order Tracking
@endpush

@section('content')
<div class="container py-5">
    <div class="card shadow">
        <div class="card-header bg-primary text-white">
            <h5>Order Tracking</h5>
        </div>
        <div class="card-body">
            <form action="{{ route('order.track') }}" method="GET">
                <div class="mb-3">
                    <label class="form-label">Enter Tracking Code</label>
                    <input type="text" name="tracking_code" class="form-control" required>
                </div>
                <button type="submit" class="btn btn-primary">Track Order</button>
            </form>
        </div>
    </div>

    @if(isset($order))
    <div class="card mt-4">
        <div class="card-body">
            <h5>Order Details</h5>
            <p><strong>Tracking Code:</strong> {{ $order->tracking_code }}</p>
            <p><strong>Status:</strong> <span class="badge bg-info">{{ ucfirst($order->status) }}</span></p>
            <p><strong>Total:</strong> ${{ number_format($order->total_price, 2) }}</p>
            <p><strong>Payment Method:</strong> {{ $order->paymentMethod->name }}</p>
            <hr>
            <h6>Shipping Address:</h6>
            <p>{{ $order->shipping->first_name }} {{ $order->shipping->last_name }}</p>
            <p>{{ $order->shipping->address }}, {{ $order->shipping->city }}, {{ $order->shipping->state }} - {{ $order->shipping->postal_code }}</p>
            <p>{{ $order->shipping->country }}</p>
            <p><strong>Phone:</strong> {{ $order->shipping->phone }}</p>
        </div>
    </div>
    @endif
</div>
@endsection
