@extends($activeTemplate . 'layouts.master')

@section('content')
    <div class="dashboard-inner">
        <div class="mb-4">
            <h3 class="mb-2">{{ __('Our Products') }}</h3>
        </div>
        <div class="row">
            @foreach ($products as $product)
                <div class="col-xl-4 col-md-6 mb-4">
                    <div class="card custom--card dashboard-product-card">
                        <div class="card-body text-center">
                            <div class="product-image mb-3">
                                <img src="{{ asset('storage/' . $product->image) }}" alt="{{ $product->name }}" class="img-fluid">
                            </div>
                            <h4 class="product-name mb-2">
                                <strong>{{ __($product->name) }}</strong>
                            </h4>
                            <span class="sku text-muted d-block">@lang('SKU'): {{ $product->sku }}</span>
                            <span class="price text--dark fw-bold d-block">
                                ${{ number_format($product->price, 2) }}
                            </span>
                            <span class="bv text-success d-block">@lang('BV'): {{ $product->bv }}</span>
                            <span class="inventory text-info d-block">@lang('In Stock'): {{ $product->inventory }}</span>
                            <hr>
                            <p class="product-description text-muted">
                                {{ Str::limit($product->short_description, 80) }}
                            </p>

                            <a href="{{ route('product.single', $product->id) }}" class="btn btn--base w-100 mt-2">
                                @lang('View Details')
                            </a>
                        </div>
                    </div><!-- card end -->
                </div>
            @endforeach
        </div>

        @if ($products->hasPages())
            {{ paginateLinks($products) }}
        @endif
    </div>
@endsection
