

<?php $__env->startSection('content'); ?>
<div class="container-fluid px-4">
    <h3 class="mb-4"><?php echo app('translator')->get('Affiliate - Program'); ?></h3>

    <?php
        $sharedLinks = auth()->user()->sharedLinks ?? [];
    ?>

    <div class="card">
        <div class="card-body">
            <h5 class="text-secondary mb-3"><?php echo app('translator')->get('Your Shared Product Clicks'); ?></h5>

            <div class="table-responsive" style="overflow-x: auto; min-height: 300px;">
                <table id="affiliateTable" class="table table-bordered table-striped align-middle w-100" style="min-width: 1010px;">
                    <thead class="table-green">
                        <tr>
                            <th><?php echo app('translator')->get('Product'); ?></th>
                            <th><?php echo app('translator')->get('Share Link'); ?></th>
                            <th><?php echo app('translator')->get('Clicks'); ?></th>
                            <th><?php echo app('translator')->get('QR'); ?></th>
                            <th><?php echo app('translator')->get('Created'); ?></th>
                            <th><?php echo app('translator')->get('Location'); ?></th>
                            <th><?php echo app('translator')->get('Referrer'); ?></th>
                            <th><?php echo app('translator')->get('Last Click'); ?></th>
                            <th><?php echo app('translator')->get('Actions'); ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__empty_1 = true; $__currentLoopData = $sharedLinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                            <tr>
                                <td><?php echo e($link->product->name); ?></td>
                                <td>
                                    <?php
                                        $shareUrl = $link->url ?? route('share.track', ['code' => $link->code]);
                                    ?>
                                    <input type="text" id="link-<?php echo e($link->id); ?>" value="<?php echo e($shareUrl); ?>" class="d-none">
                                    <button class="btn btn-sm btn-outline-primary copy-btn" data-target="link-<?php echo e($link->id); ?>">
                                        <?php echo app('translator')->get('Copy'); ?>
                                    </button>
                                </td>
                                <td><strong><?php echo e($link->clicks); ?></strong></td>
                                <td>
                                    <img src="https://api.qrserver.com/v1/create-qr-code/?data=<?php echo e(urlencode($shareUrl)); ?>&size=80x80" alt="QR Code">
                                </td>
                                <td><?php echo e(optional($link->created_at)->diffForHumans() ?? 'N/A'); ?></td>
                                <td>
                                    <?php
                                        $lastClick = $link->clicks()->latest()->first();
                                    ?>
                                    <?php echo e(optional($lastClick)->country ?? 'N/A'); ?><?php echo e(optional($lastClick)->city ? ', ' . $lastClick->city : ''); ?>

                                </td>
                                <td><?php echo e($lastClick->referrer ?? 'N/A'); ?></td>
                                <td><?php echo e(optional($link->last_clicked_at)->diffForHumans() ?? 'N/A'); ?></td>
                                <td>
                                    <a href="<?php echo e($shareUrl); ?>" class="btn btn-sm btn-outline-success" target="_blank">
                                        <i class="fas fa-external-link-alt"></i>
                                    </a>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                            <tr>
                                <td colspan="9" class="text-center text-muted"><?php echo app('translator')->get("You haven't shared any products yet."); ?></td>
                            </tr>
                        <?php endif; ?>
                    </tbody>
                </table>
            </div>

        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script src="https://cdn.datatables.net/1.13.5/js/jquery.dataTables.min.js"></script>
<script>
    document.querySelectorAll('.copy-btn').forEach(btn => {
        btn.addEventListener('click', function () {
            const inputId = this.dataset.target;
            const input = document.getElementById(inputId);
            if (input) {
                navigator.clipboard.writeText(input.value).then(() => {
                    alert('Copied to clipboard!');
                });
            }
        });
    });

    $(document).ready(function () {
        $('#affiliateTable').DataTable({
            pageLength: 10,
            order: [[2, 'desc']],
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
<link href="https://cdn.datatables.net/1.13.5/css/jquery.dataTables.min.css" rel="stylesheet"/>
<?php $__env->stopPush(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/user/affiliate.blade.php ENDPATH**/ ?>