
<?php $__env->startSection('content'); ?>
    <div class="dashboard-inner">
        <div class="notice"></div>
        <?php
            $kyc = getContent('kyc_info.content', true);
            $notice = getContent('notice.content', true);
        ?>
        <?php if(auth()->user()->kv == Status::KYC_UNVERIFIED && auth()->user()->kyc_rejection_reason): ?>
            <div class="alert alert--danger" role="alert">
                <div class="alert__icon"><i class="fas fa-file-signature"></i></div>
                <p class="alert__message">
                    <span class="fw-bold"><?php echo app('translator')->get('KYC Documents Rejected'); ?></span><br>
                    <span>
                        <i><?php echo e(__(@$kyc->data_values->reject_content)); ?> </i>
                        <a href="javascript::void(0)" class="link-color" data-bs-toggle="modal" data-bs-target="#kycRejectionReason"><?php echo app('translator')->get('Click here'); ?></a>
                        <?php echo app('translator')->get('to show the reason'); ?>.

                        <a href="<?php echo e(route('user.kyc.form')); ?>" class="link-color"><?php echo app('translator')->get('Click Here'); ?></a>
                        <?php echo app('translator')->get('to Re-submit Documents'); ?>.
                        <a href="<?php echo e(route('user.kyc.data')); ?>" class="link-color"><?php echo app('translator')->get('See KYC Data'); ?></a>
                    </span>
                </p>
            </div>
        <?php elseif($user->kv == Status::KYC_UNVERIFIED): ?>
            <div class="alert alert--info" role="alert">
                <div class="alert__icon"><i class="fas fa-file-signature"></i></div>
                <p class="alert__message">
                    <span class="fw-bold"><?php echo app('translator')->get('KYC Verification Required'); ?></span><br>
                    <span><i><?php echo e(__(@$kyc->data_values->verification_content)); ?></i>
                        <a href="<?php echo e(route('user.kyc.form')); ?>" class="link-color"><?php echo app('translator')->get('Click here'); ?></a>
                        <?php echo app('translator')->get('to submit KYC information'); ?>.
                    </span>
                </p>
            </div>
        <?php elseif($user->kv == Status::KYC_PENDING): ?>
            <div class="alert alert--warning" role="alert">
                <div class="alert__icon"><i class="fas fa-user-check"></i></div>
                <p class="alert__message">
                    <span class="fw-bold"><?php echo app('translator')->get('KYC Verification Pending'); ?></span><br>
                    <span><?php echo e(__(@$kyc->data_values->pending_content)); ?> <a href="<?php echo e(route('user.kyc.data')); ?>" class="link-color"><?php echo app('translator')->get('Click here'); ?></a>
                        <?php echo app('translator')->get('to see your submitted information'); ?>
                    </span>
                </p>
            </div>
        <?php endif; ?>

        <?php if(auth()->user()->kv == Status::KYC_UNVERIFIED && auth()->user()->kyc_rejection_reason): ?>
            <div class="modal fade" id="kycRejectionReason">
                <div class="modal-dialog" role="document">
                    <div class="modal-content">
                        <div class="modal-header">
                            <h5 class="modal-title"><?php echo app('translator')->get('KYC Document Rejection Reason'); ?></h5>
                            <button class="btn-close" data-bs-dismiss="modal" type="button" aria-label="Close"></button>
                        </div>
                        <div class="modal-body">
                            <p><?php echo e(auth()->user()->kyc_rejection_reason); ?></p>
                        </div>
                    </div>
                </div>
            </div>
        <?php endif; ?>

        <?php if(@$notice->data_values->notice_content != null && !$user->plan_id): ?>
            <div class="card custom--card">
                <div class="card-header">
                    <h5><?php echo app('translator')->get('Notice'); ?></h5>
                </div>
                <div class="card-body">
                    <p class="card-text">
                        <?php echo e(__($notice->data_values->notice_content)); ?>

                    </p>
                </div>
            </div>
        <?php endif; ?>

        
        <div class="row g-3 mt-3 mb-4">

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total Deposit'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(showAmount($totalDeposit)); ?></h3>
                    <div class="widget-lists">
                        <div class="row">
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Submitted'); ?></p>
                                <span><?php echo e(showAmount($submittedDeposit)); ?></span>
                            </div>
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Pending'); ?></p>
                                <span><?php echo e(showAmount($pendingDeposit)); ?></span>
                            </div>
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Rejected'); ?></p>
                                <span><?php echo e(showAmount($rejectedDeposit)); ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total Widthdraw'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(showAmount($totalWithdraw)); ?></h3>
                    <div class="widget-lists">
                        <div class="row">
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Submitted'); ?></p>
                                <span><?php echo e(showAmount($submittedWithdraw)); ?></span>
                            </div>
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Pending'); ?></p>
                                <span><?php echo e(showAmount($pendingWithdraw)); ?></span>
                            </div>
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Rejected'); ?></p>
                                <span><?php echo e(showAmount($rejectWithdraw)); ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total Referral Commission'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(showAmount($user->total_ref_com)); ?>

                    </h3>
                    <div class="widget-lists">
                        <div class="row">
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Referrals'); ?></p>
                                <span><?php echo e($totalRef); ?></span>
                            </div>
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Left'); ?></p>
                                <span><?php echo e($totalLeft); ?></span>
                            </div>
                            <div class="col-4">
                                <p class="fw-bold"><?php echo app('translator')->get('Right'); ?></p>
                                <span><?php echo e($totalRight); ?></span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total Invest'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(showAmount($user->total_invest)); ?>

                    </h3>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total Binary Commission'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(showAmount($totalBinaryCom)); ?>

                    </h3>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total BV'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e($totalBv); ?></h3>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Left BV'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(getAmount($user->userExtra->bv_left)); ?></h3>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Right BV'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(getAmount($user->userExtra->bv_right)); ?></h3>
                </div>
            </div>

            <div class="col-lg-4">
                <div class="dashboard-widget">
                    <div class="d-flex justify-content-between">
                        <h5 class="text-secondary"><?php echo app('translator')->get('Total Bv Cut'); ?></h5>
                    </div>
                    <h3 class="text--secondary my-4"><?php echo e(getAmount($totalBvCut)); ?></h3>
                </div>
            </div>

        </div>

        <div class="mb-4">
            <h4 class="mb-2"><?php echo app('translator')->get('Binary Summery'); ?></h4>
        </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="card custom--card">
                        <div class="card-body p-0">
                            <div class="table-responsive">
                                <table class="table--responsive--md table">
                                    <thead>
                                        <tr>
                                            <th><?php echo app('translator')->get('Paid left'); ?></th>
                                            <th><?php echo app('translator')->get('Paid right'); ?></th>
                                            <th><?php echo app('translator')->get('Free left'); ?></th>
                                            <th><?php echo app('translator')->get('Free right'); ?></th>
                                            <th><?php echo app('translator')->get('Bv left'); ?></th>
                                            <th><?php echo app('translator')->get('Bv right'); ?></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><?php echo e($logs->paid_left); ?></td>
                                            <td><?php echo e($logs->paid_right); ?></td>
                                            <td><?php echo e($logs->free_left); ?></td>
                                            <td><?php echo e($logs->free_right); ?></td>
                                            <td><?php echo e(getAmount($logs->bv_left)); ?></td>
                                            <td><?php echo e(getAmount($logs->bv_right)); ?></td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make($activeTemplate . 'layouts.master', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/user/dashboard.blade.php ENDPATH**/ ?>