

<?php $__env->startSection('panel'); ?>
<div class="container-fluid px-3">
    <div class="card">
        <div class="card-header bg-primary text-white">
            <h5 class="mb-0"><?php echo app('translator')->get('Affiliate Overview'); ?></h5>
        </div>

        <div class="card-body table-responsive">
            <table class="table table-bordered table-striped align-middle w-100" id="adminAffiliateTable" style="min-width: 1400px;">
                <thead class="table-blue">
                    <tr>
                        <th><?php echo app('translator')->get('User'); ?></th>
                        <th><?php echo app('translator')->get('Email'); ?></th>
                        <th><?php echo app('translator')->get('Product'); ?></th>
                        <th><?php echo app('translator')->get('Share Link'); ?></th>
                        <th><?php echo app('translator')->get('Clicks'); ?></th>
                        <th><?php echo app('translator')->get('Last Click'); ?></th>
                        <th><?php echo app('translator')->get('Location'); ?></th>
                        <th><?php echo app('translator')->get('Referrer'); ?></th>
                        <th><?php echo app('translator')->get('Actions'); ?></th>
                    </tr>
                </thead>
                <tbody>
                    <?php $__currentLoopData = $shareLinks; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $link): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <?php
                            $user = $link->user;
                            $product = $link->product;
                            $lastClick = $link->clicks()->latest()->first();
                            $shareUrl = $link->url ?? route('share.track', ['code' => $link->code]);
                        ?>
                        <tr>
                            <td><?php echo e($user->fullname ?? $user->username); ?></td>
                            <td><?php echo e($user->email); ?></td>
                            <td><?php echo e($product->name); ?></td>
                            <td>
                                <input type="text" class="d-none" id="link-<?php echo e($link->id); ?>" value="<?php echo e($shareUrl); ?>">
                                <button class="btn btn-sm btn-outline-primary copy-btn" data-target="link-<?php echo e($link->id); ?>">
                                    <?php echo app('translator')->get('Copy'); ?>
                                </button>
                            </td>
                            <td><?php echo e($link->clicks); ?></td>
                            <td><?php echo e(optional($link->last_clicked_at)->diffForHumans() ?? 'N/A'); ?></td>
                            <td><?php echo e(optional($lastClick)->country ?? 'N/A'); ?><?php echo e(optional($lastClick)->city ? ', ' . $lastClick->city : ''); ?></td>
                            <td><?php echo e($lastClick->referrer ?? 'N/A'); ?></td>
                            <td>
                                <a href="<?php echo e($shareUrl); ?>" class="btn btn-sm btn-success" target="_blank">
                                    <i class="fas fa-external-link-alt"></i>
                                </a>
                            </td>
                        </tr>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script src="https://cdn.datatables.net/1.13.5/js/jquery.dataTables.min.js"></script>
<script>
    $(document).ready(function () {
        $('#adminAffiliateTable').DataTable({
            pageLength: 25,
            order: [[4, 'desc']],
        });
    });

    document.querySelectorAll('.copy-btn').forEach(btn => {
        btn.addEventListener('click', function () {
            const target = document.getElementById(this.dataset.target);
            if (target) {
                navigator.clipboard.writeText(target.value).then(() => {
                    alert('Copied to clipboard!');
                });
            }
        });
    });
</script>
<?php $__env->stopPush(); ?>

<?php $__env->startPush('style'); ?>
<link href="https://cdn.datatables.net/1.13.5/css/jquery.dataTables.min.css" rel="stylesheet"/>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('admin.layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/admin/affiliate/index.blade.php ENDPATH**/ ?>