<?php
    $planContent = getContent('plan.content', true);
    $plans = \App\Models\Plan::where('status', Status::ENABLE)->get();
    $gatewayCurrency = \App\Models\GatewayCurrency::whereHas('method', function ($gate) {
        $gate->where('status', Status::ENABLE);
    })
        ->with('method')
        ->orderby('name')
        ->get();
?>
<section class="pricing-section padding-bottom padding-top">
    <div class="container">
        <div class="section-header">
            <h2 class="title"><?php echo e(__(@$planContent->data_values->heading)); ?></h2>
            <p><?php echo e(__(@$planContent->data_values->sub_heading)); ?></p>
        </div>

        <div class="row justify-content-center mb-30-none">
            <?php $__currentLoopData = $plans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="col-lg-4 col-md-6 col-sm-10 mb-30">
                    <div class="plan-card bg_img text-center"
                        data-background="<?php echo e(asset(frontendImage('plan', @$planContent->data_values->background_image, '700x480'))); ?>">
                        <h4 class="plan-card__title text--base mb-2"><?php echo e(__(@$plan->name)); ?></h4>
                        <div class="price-range mt-5 text-white"> <?php echo e(showAmount($plan->price)); ?> </div>
                        <ul class="plan-card__features mt-4">
                            <li> <?php echo app('translator')->get('Business Volume'); ?> (<?php echo app('translator')->get('BV'); ?>) : <span class="amount"><?php echo e($plan->bv); ?></span>
                                <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#bvInfoModal"><i
                                        class="fas fa-question-circle"></i></span>
                            </li>
                            <li>
                                <?php echo app('translator')->get('Referral Commission'); ?> : <span class="amount"><?php echo e(showAmount($plan->ref_com)); ?></span>
                                <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#refComInfoModal"><i
                                        class="fas fa-question-circle"></i></span>
                            </li>

                            <li>
                                <?php echo app('translator')->get('Commission To Tree'); ?> : <span class="amount"><?php echo e(showAmount($plan->tree_com)); ?></span>
                                <span class="icon float-right" data-bs-toggle="modal" data-bs-target="#treeComInfoModal"><i
                                        class="fas fa-question-circle"></i></span>
                            </li>
                        </ul>

                        <?php if(auth()->guard()->check()): ?>
                            <?php if(@auth()->user()->plan->price > $plan->price): ?>
                                <button class="custom-button theme disabled mt-3 w-auto text-white" type="button">
                                    <?php echo app('translator')->get('Unavailable'); ?>
                                </button>
                            <?php elseif(auth()->user()->plan_id != $plan->id): ?>
                                <button class="subscribeBtn custom-button theme mt-3 w-auto text-white planConfirmationBtn"
                                    data-amount="<?php echo e(getAmount($plan->price)); ?>" data-plan_id="<?php echo e($plan->id); ?>" type="button"
                                    data-question="<?php echo app('translator')->get('Are you sure to subscribe this plan?'); ?>">
                                    <?php echo app('translator')->get('Subscribe Now'); ?>
                                </button>
                            <?php else: ?>
                                <button class="custom-button btn--success disabled mt-3 w-auto" type="button">
                                    <?php echo app('translator')->get('Cureent Plan'); ?>
                                </button>
                            <?php endif; ?>
                        <?php else: ?>
                            <button class="custom-button theme mt-3 w-auto text-white" data-bs-toggle="modal" data-bs-target="#loginModal">
                                <?php echo app('translator')->get('Subscribe now'); ?>
                            </button>
                        <?php endif; ?>

                    </div>
                </div>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

        </div>

    </div>
</section>

<?php echo $__env->make($activeTemplate . 'partials.plan_modals', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?>
<?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/sections/plan.blade.php ENDPATH**/ ?>