<?php
    $contact        = getContent('contact_us.content', true);
    $language       = App\Models\Language::all();
    $selectLanguage = App\Models\Language::where('code', session('lang'))->first();
?>

<div class="header-top">
    <div class="container">
        <div class="header-top-area">
            <div class="header-top-item">
                <a href="Mailto:<?php echo e(@$contact->data_values->email_address); ?>">
                    <i class="fa fa-envelope"></i> <?php echo e(@$contact->data_values->email_address); ?>

                </a>
            </div>
            <div class="header-top-item">
                <a href="tel:<?php echo e(@$contact->data_values->contact_number); ?>">
                    <i class="fa fa-mobile-alt"></i> <?php echo e(@$contact->data_values->contact_number); ?>

                </a>
            </div>
            <?php if(gs('multi_language')): ?>
                <div class="language dropdown d-none d-lg-block ms-auto">
                    <button class="language-wrapper" data-bs-toggle="dropdown" aria-expanded="false">
                        <div class="language-content">
                            <div class="language_flag">
                                <img src="<?php echo e(getImage(getFilePath('language') . '/' . $selectLanguage->image), '50x50'); ?>" alt="flag">
                            </div>
                            <p class="language_text_select"><?php echo e(__($selectLanguage->name)); ?></p>
                        </div>
                        <span class="collapse-icon"><i class="las la-angle-down"></i></span>
                    </button>
                    <div class="dropdown-menu langList_dropdow py-2">
                        <ul class="langList">
                            <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <li class="language-list langSel" data-code=<?php echo e($item->code); ?>>
                                    <div class="language_flag">
                                        <img src="<?php echo e(getImage(getFilePath('language') . '/' . $item->image), '50x50'); ?>" alt="flag">
                                    </div>
                                    <p class="language_text"><?php echo e(__($item->name)); ?></p>
                                </li>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </ul>
                    </div>
                </div>
            <?php endif; ?>
        </div>
    </div>
</div>

<header class="header-bottom">
    <div class="container">
        <div class="row">
            <div class="col-lg-12">
                <div class="header-area">
                    <div class="logo">
                        <a href="<?php echo e(route('home')); ?>">
                            <img src="<?php echo e(siteLogo('dark')); ?>" alt="logo">
                        </a>
                    </div>
                    <ul class="menu">
                        <li><a href="<?php echo e(url('/')); ?>"><?php echo app('translator')->get('Home'); ?></a></li>
                        <li><a href="<?php echo e(route('store')); ?>"><?php echo app('translator')->get('Store'); ?></a></li>  <!-- ✅ Added Store Link -->
                         <li><a href="<?php echo e(route('plan')); ?>"><?php echo app('translator')->get('Plan'); ?></a></li>
                        <?php $__currentLoopData = $pages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $k => $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li><a href="<?php echo e(route('pages', [$data->slug])); ?>"><?php echo e(trans($data->name)); ?></a></li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        <li><a href="<?php echo e(route('blog')); ?>"><?php echo app('translator')->get('Blog'); ?></a></li>
                        <li><a href="<?php echo e(route('contact')); ?>"><?php echo app('translator')->get('Contact'); ?></a></li>

                        <?php if(auth()->guard()->check()): ?>
                            <li>
                                <a href="javascript:void(0)"><?php echo app('translator')->get('Account'); ?></a>
                                <ul class="submenu">
                                    <li><a href="<?php echo e(route('user.home')); ?>"><?php echo app('translator')->get('Dashboard'); ?></a></li>
                                    <li><a href="<?php echo e(route('user.logout')); ?>"><?php echo app('translator')->get('Logout'); ?></a></li>
                                </ul>
                            </li>
                        <?php else: ?>
                            <li>
                                <a href="javascript:void(0)"><?php echo app('translator')->get('Account'); ?></a>
                                <ul class="submenu">
                                    <li><a href="<?php echo e(route('user.login')); ?>"><?php echo app('translator')->get('Log In'); ?></a></li>
                                    <li><a href="<?php echo e(route('user.register')); ?>"><?php echo app('translator')->get('Register'); ?></a></li>
                                </ul>
                            </li>
                        <?php endif; ?>
                            <li>
                                <a href="<?php echo e(route('cart.index')); ?>" class="btn btn-outline-primary">
                                    🛒 Cart <span class="badge bg-primary cart-count">
                                        <?php echo e(session('cart') ? count(session('cart')) : 0); ?>

                                    </span>
                                </a>
                            </li>
                        </ul>
                        <?php if(gs('multi_language')): ?>
                            <li class="language dropdown d-lg-none">
                                <button class="language-wrapper style-two" data-bs-toggle="dropdown" aria-expanded="false">
                                    <div class="language-content">
                                        <div class="language_flag">
                                            <img src="<?php echo e(getImage(getFilePath('language') . '/' . $selectLanguage->image), '50x50'); ?>" alt="flag">
                                        </div>
                                        <p class="language_text_select"><?php echo e(__($selectLanguage->name)); ?></p>
                                    </div>
                                    <span class="collapse-icon"><i class="las la-angle-down"></i></span>
                                </button>
                                <div class="dropdown-menu langList_dropdow py-2">
                                    <ul class="langList">
                                        <?php $__currentLoopData = $language; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <li class="language-list langSel" data-code=<?php echo e($item->code); ?>>
                                                <div class="language_flag">
                                                    <img src="<?php echo e(getImage(getFilePath('language') . '/' . $item->image), '50x50'); ?>" alt="flag">
                                                </div>
                                                <p class="language_text"><?php echo e(__($item->name)); ?></p>
                                            </li>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </ul>
                                </div>
                            </li>
                        <?php endif; ?>
                    </ul>
                    <div class="header-bar d-lg-none">
                        <span></span>
                        <span></span>
                        <span></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>

<?php $__env->startPush('script'); ?>
    <script>
        $(document).ready(function() {
            const $mainlangList = $(".langList");
            const $langBtn = $(".language-content");
            const $langListItem = $mainlangList.children();

            $langListItem.each(function() {
                const $innerItem = $(this);
                const $languageText = $innerItem.find(".language_text");
                const $languageFlag = $innerItem.find(".language_flag");

                $innerItem.on("click", function(e) {
                    $langBtn.find(".language_text_select").text($languageText.text());
                    $langBtn.find(".language_flag").html($languageFlag.html());
                });
            });
        });
    </script>
<?php $__env->stopPush(); ?>
<?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/partials/header.blade.php ENDPATH**/ ?>