

<?php $__env->startSection('panel'); ?>
<div class="row">
    <div class="col-lg-12">
        
        <div class="card mb-4">
            <div class="card-header bg-primary text-white d-flex justify-content-between">
                <h5 class="mb-0"><?php echo app('translator')->get('Stockiest List'); ?></h5>
                <button class="btn btn-light add-stockiest" data-bs-toggle="modal" data-bs-target="#add-stockiest"><?php echo app('translator')->get('Add Stockiest'); ?></button>
            </div>
            <div class="card-body">
                <div class="table-responsive">
                    <table class="table table-bordered">
                        <thead>
                            <tr>
                                <th><?php echo app('translator')->get('ID'); ?></th>
                                <th><?php echo app('translator')->get('Name'); ?></th>
                                <th><?php echo app('translator')->get('Email'); ?></th>
                                <th><?php echo app('translator')->get('Phone'); ?></th>
                                <th><?php echo app('translator')->get('Location'); ?></th>
                                <th><?php echo app('translator')->get('Status'); ?></th>
                                <th><?php echo app('translator')->get('Action'); ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $stockiests; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $stockiest): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td><?php echo e($stockiest->id); ?></td>
                                <td><?php echo e($stockiest->name); ?></td>
                                <td><?php echo e($stockiest->email); ?></td>
                                <td><?php echo e($stockiest->phone); ?></td>
                                <td><?php echo e($stockiest->location); ?></td>
                                <td>
                                    <?php if($stockiest->status): ?>
                                    <span class="badge bg-success"><?php echo app('translator')->get('Active'); ?></span>
                                    <?php else: ?>
                                    <span class="badge bg-danger"><?php echo app('translator')->get('Inactive'); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <button class="btn btn-sm btn-warning edit-stockiest"
                                        data-id="<?php echo e($stockiest->id); ?>"
                                        data-name="<?php echo e($stockiest->name); ?>"
                                        data-email="<?php echo e($stockiest->email); ?>"
                                        data-phone="<?php echo e($stockiest->phone); ?>"
                                        data-location="<?php echo e($stockiest->location); ?>"
                                        data-status="<?php echo e($stockiest->status); ?>"
                                        data-bs-toggle="modal" data-bs-target="#edit-stockiest">
                                        <?php echo app('translator')->get('Edit'); ?>
                                    </button>
                                </td>
                            </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>

        
        <div class="modal fade" id="add-stockiest" tabindex="-1">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"><?php echo app('translator')->get('Add New Stockiest'); ?></h5>
                        <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                            <i class="las la-times"></i>
                        </button>
                    </div>
                    <form id="addStockiestForm" method="POST" action="<?php echo e(route('admin.stockiest.store')); ?>">
                        <?php echo csrf_field(); ?>
                        <div class="modal-body">
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Select User'); ?></label>
                                <select class="form-control" name="user_id" id="userSelect">
                                    <option value=""><?php echo app('translator')->get('Select Existing User'); ?></option>
                                    <?php $__currentLoopData = $users; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $user): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($user->id); ?>"
                                        data-name="<?php echo e($user->name); ?>"
                                        data-email="<?php echo e($user->email); ?>"
                                        data-phone="<?php echo e($user->phone ?? ''); ?>">
                                        <?php echo e($user->name); ?> - <?php echo e($user->email); ?>

                                    </option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Name'); ?></label>
                                <input class="form-control" name="name" id="nameInput" type="text" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Email'); ?></label>
                                <input class="form-control" name="email" id="emailInput" type="email" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Phone'); ?></label>
                                <input class="form-control" name="phone" id="phoneInput" type="text" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Location'); ?></label>
                                <input class="form-control" name="location" type="text" required>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn--primary w-100" type="submit"><?php echo app('translator')->get('Submit'); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>

        
        <div class="modal fade" id="edit-stockiest" tabindex="-1">
            <div class="modal-dialog modal-dialog-centered modal-md">
                <div class="modal-content">
                    <div class="modal-header">
                        <h5 class="modal-title"><?php echo app('translator')->get('Edit Stockiest'); ?></h5>
                        <button class="close" data-bs-dismiss="modal" type="button" aria-label="Close">
                            <i class="las la-times"></i>
                        </button>
                    </div>
                    <form id="editStockiestForm" method="POST">
                        <?php echo csrf_field(); ?>
                        <?php echo method_field('PUT'); ?>
                        <div id="methodFieldEdit"></div> <!-- This field will be dynamically updated -->
                        <div class="modal-body">
                            <input type="hidden" class="form-control stockiest_id" name="id">
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Name'); ?></label>
                                <input class="form-control name" name="name" type="text" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Email'); ?></label>
                                <input class="form-control email" name="email" type="email" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Phone'); ?></label>
                                <input class="form-control phone" name="phone" type="text" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Location'); ?></label>
                                <input class="form-control location" name="location" type="text" required>
                            </div>
                            <div class="form-group">
                                <label><?php echo app('translator')->get('Status'); ?></label>
                                <select class="form-control status" name="status">
                                    <option value="1"><?php echo app('translator')->get('Active'); ?></option>
                                    <option value="0"><?php echo app('translator')->get('Inactive'); ?></option>
                                </select>
                            </div>
                        </div>
                        <div class="modal-footer">
                            <button class="btn btn--primary w-100" type="submit"><?php echo app('translator')->get('Update'); ?></button>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('script'); ?>
<script>
(function ($) {
    "use strict";

    // Autofill user details when selecting an existing user
    $('#userSelect').on('change', function() {
        let selectedUser = $(this).find(':selected');
        $('#nameInput').val(selectedUser.data('name') || '');
        $('#emailInput').val(selectedUser.data('email') || '');
        $('#phoneInput').val(selectedUser.data('phone') || '');
    });

    // Ensure the page refreshes after adding a Stockiest
    $('#addStockiestForm').on('submit', function (e) {
        e.preventDefault();
        let form = $(this);

        $.ajax({
            url: form.attr('action'),
            type: "POST",
            data: form.serialize(),
            success: function (response) {
                if (response.success) {
                    notify('success', response.message);
                    setTimeout(() => {
                        location.reload(); // Refresh the page
                    }, 1000);
                } else {
                    notify('error', response.message);
                }
            },
            error: function (xhr) {
                let errors = xhr.responseJSON.errors;
                $.each(errors, function (key, value) {
                    notify('error', value[0]);
                });
            }
        });
    });

    // Use event delegation for dynamically loaded Edit buttons
    $(document).on('click', '.edit-stockiest', function() {
    let modal = $('#edit-stockiest');

    // Populate form fields
    modal.find('.stockiest_id').val($(this).data('id'));
    modal.find('.name').val($(this).data('name'));
    modal.find('.email').val($(this).data('email'));
    modal.find('.phone').val($(this).data('phone'));
    modal.find('.location').val($(this).data('location'));
    modal.find('.status').val($(this).data('status'));

    // ✅ Fix: Set Correct Update URL
    let stockiestId = $(this).data('id');
    let updateAction = `/admin/stockiest/update/${stockiestId}`;
    $('#editStockiestForm').attr('action', updateAction);

    // ✅ Ensure the correct HTTP method
    $('#methodFieldEdit').html('<input type="hidden" name="_method" value="PUT">');

    // Show modal
    modal.modal('show');
});


    // Ensure the page refreshes after updating Stockiest
    $('#editStockiestForm').on('update', function (e) {
        e.preventDefault();
        let form = $(this);

        $.ajax({
            url: form.attr('action'),
            type: "POST",
            data: form.serialize(),
            success: function (response) {
                if (response.success) {
                    notify('success', response.message);
                    setTimeout(() => {
                        location.reload(); // Refresh page after update
                    }, 1000);
                } else {
                    notify('error', response.message);
                }
            },
            error: function (xhr) {
                let errors = xhr.responseJSON.errors;
                $.each(errors, function (key, value) {
                    notify('error', value[0]);
                });
            }
        });
    });

})(jQuery);
</script>
<?php $__env->stopPush(); ?>
<?php echo $__env->make('admin.layouts.app', array_diff_key(get_defined_vars(), ['__data' => 1, '__path' => 1]))->render(); ?><?php /**PATH /home/parawfza/paradise/core/resources/views/admin/stockiest/index.blade.php ENDPATH**/ ?>