<?php
    $latestTrx = getContent('transactions.content', true);
    $deposits = App\Models\Deposit::orderby('id', 'desc')
        ->where('status', Status::PAYMENT_SUCCESS)
        ->take(10)
        ->with('user', 'user.plan')
        ->get();
    $withdraws = App\Models\Withdrawal::orderby('id', 'desc')
        ->where('status', Status::PAYMENT_SUCCESS)
        ->take(10)
        ->with('user', 'user.plan')
        ->get();
?>

<section class="transaction-section padding-top section-bg padding-bottom">
    <div class="container">
        <div class="row">
            <div class="col-12">
                <div class="section-header">
                    <h2 class="title"><?php echo e(__(@$latestTrx->data_values->heading)); ?></h2>
                    <p><?php echo e(__(@$latestTrx->data_values->sub_heading)); ?></p>
                </div>
            </div>
        </div>
        <div class="tab deposit-tab">
            <ul class="tab-menu text-center">
                <li class="active custom-button"><?php echo app('translator')->get('Latest Deposits'); ?></li>
                <li class="custom-button"><?php echo app('translator')->get('Latest Withdraws'); ?></li>
            </ul>
            <div class="tab-area">
                <div class="tab-item active">
                    <div class="deposite-table">
                        <table>
                            <thead>
                                <tr class="bg-2">
                                    <th><?php echo app('translator')->get('User'); ?></th>
                                    <th><?php echo app('translator')->get('Plan'); ?></th>
                                    <th><?php echo app('translator')->get('Date'); ?></th>
                                    <th><?php echo app('translator')->get('Amount'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $deposits; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $deposit): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td>
                                            <div class="author">
                                                <div class="thumb">
                                                    <img src="<?php echo e(getImage(getFilePath('userProfile') . '/' . @$deposit->user->image, false, true)); ?>"
                                                        alt="jpg">
                                                </div>
                                                <div class="content"><?php echo e(@$deposit->user->fullName); ?></div>
                                            </div>
                                        </td>
                                        <td>
                                            <?php echo e(@$deposit->user->plan->name ?? 'No plan'); ?></td>
                                        <td>
                                            <?php echo e(showDateTime($deposit->created_at, 'd F, Y')); ?></td>
                                        <td><?php echo e(showAmount($deposit->amount)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-center" colSpan="100%">
                                            <?php echo e(__($emptyMessage)); ?>

                                        </td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
                <div class="tab-item">
                    <div class="deposite-table">
                        <table>
                            <thead>
                                <tr class="bg-2">
                                    <th><?php echo app('translator')->get('User'); ?></th>
                                    <th><?php echo app('translator')->get('Plan'); ?></th>
                                    <th><?php echo app('translator')->get('Date'); ?></th>
                                    <th><?php echo app('translator')->get('Amount'); ?></th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php $__empty_1 = true; $__currentLoopData = $withdraws; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $withdraw): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                                    <tr>
                                        <td>
                                            <div class="author">
                                                <div class="thumb">
                                                    <img src="<?php echo e(getImage(getFilePath('userProfile') . '/' . @$withdraw->user->image, false, true)); ?>"
                                                        alt="jpg">
                                                </div>
                                                <div class="content">
                                                    <?php echo e(@$withdraw->user->fullName); ?>

                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <?php echo e(@$deposit->user->plan->name ?? 'No plan'); ?></td>
                                        <td>
                                            <?php echo e(showDateTime($withdraw->created_at, 'd F, Y')); ?></td>
                                        <td><?php echo e(showAmount($withdraw->amount)); ?></td>
                                    </tr>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                                    <tr>
                                        <td class="text-center" colSpan="100%">
                                            <?php echo e(__($emptyMessage)); ?>

                                        </td>
                                    </tr>
                                <?php endif; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<?php /**PATH /home/parawfza/paradise/core/resources/views/templates/basic/sections/transactions.blade.php ENDPATH**/ ?>